cURL
curl --request GET \
--url https://app.closerx.ai/api/v2/camp-quickcamp/ \
--header 'Company-Name: <company-name>' \
--header 'api_key: <api-key>'import requests
url = "https://app.closerx.ai/api/v2/camp-quickcamp/"
headers = {
"Company-Name": "<company-name>",
"api_key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Company-Name': '<company-name>', api_key: '<api-key>'}
};
fetch('https://app.closerx.ai/api/v2/camp-quickcamp/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_count": 257,
"total_page": 6,
"Current_page_no": 1,
"next_page_number": 2,
"previous_page_number": null,
"page_size": 50,
"data": [
{
"id": "campdece6857",
"name": "Rell (test)",
"direction": "Outbound",
"new_agent": "Financial",
"contact_list": null,
"knowledge_base": null,
"calling_number": "+18446020950",
"status": "paused",
"total_bugget": 60,
"bugget_left": "60.0000",
"status_choices": [
"active",
"paused",
"completed"
],
"calling_number_pool": [
"+17023600026",
"+17023600027"
],
"rotate_number_after_calls": 1,
"release_buyed_when": "subscription_complete",
"number_rotation": false,
"created_at": "2025-08-23T10:54:50.133959Z",
"updated_at": "2025-08-23T15:53:15.089678Z"
}
]
}{
"success": true,
"message": "<string>",
"data": {}
}Campaign
Get Campaign List
Fetches call campaign data, including status, agent details, calling numbers, and campaign performance metrics.
GET
/
v2
/
camp-quickcamp
/
cURL
Authorizations
Headers
The name of the schema to be used for the request
Query Parameters
The search term used to filter results
The status of the campaign (e.g., running, paused, completed)
Available options:
running, paused, completed The direction of the call (e.g., Outbound or Inbound)
Available options:
Outbound, Inbound The field by which the results should be sorted (e.g., name, date)
The page number to retrieve results from (for pagination)
Response
Get Quick Campaign data response
Total number of matching campaigns
Example:
257
Total number of pages
Example:
6
Current page number
Example:
1
Next page number if available
Example:
2
Previous page number if available
Example:
null
Number of items per page
Example:
50
List of campaign items
Show child attributes
Show child attributes
